.badge {
  --bs-bg-opacity: 0.2 !important;
  --bs-badge-border-radius: 1rem;
  --bs-badge-color: black;
  color: var(--bs-dark);
  border: 1px solid var(--bs-dark);

  &.bg-primary {
    color: var(--bs-primary);
    border: 1px solid var(--bs-primary);
  }

  &.bg-secondary {
    color: var(--bs-secondary);
    border: 1px solid var(--bs-secondary);
  }

  &.bg-info {
    color: var(--bs-info);
    border: 1px solid var(--bs-info);
  }

  &.bg-light {
    color: var(--bs-light);
    border: 1px solid var(--bs-light);
  }

  &.bg-success {
    color: var(--bs-success);
    border: 1px solid var(--bs-success);
  }

  &.bg-warning {
    color: var(--bs-warning);
    border: 1px solid var(--bs-warning);
  }

  &.bg-danger {
    color: var(--bs-danger);
    border: 1px solid var(--bs-danger);
  }

  /**
   * Custom badges
  */
  /* &.inprogress-badge {
    color: var(--bs-info);
    border: 1px solid var(--bs-info);
    background-color: rgba(var(--bs-info-rgb), var(--bs-bg-opacity)) !important;
  } */

  &.published-badge,
  &.satisfactory-badge,
  &.yes-badge,
  &.pass-badge,
  &.completed-badge,
  &.attended-badge {
    color: var(--bs-success);
    border: 1px solid var(--bs-success);
    background-color: rgba(
      var(--bs-success-rgb),
      var(--bs-bg-opacity)
    ) !important;
  }

  &.planning-badge,
  &.pending-1stdose-badge,
  &.pending-2nddose-badge,
  &.pending-3rddose-badge {
    color: var(--bs-warning);
    border: 1px solid var(--bs-warning);
    background-color: rgba(
      var(--bs-warning-rgb),
      var(--bs-bg-opacity)
    ) !important;
  }

  &.unsatisfactory-badge,
  &.incomplete-badge,
  &.no-badge,
  &.fail-badge,
  &.notattended-badge {
    color: var(--bs-danger);
    border: 1px solid var(--bs-danger);
    background-color: rgba(
      var(--bs-danger-rgb),
      var(--bs-bg-opacity)
    ) !important;
  }

  &.draft-badge,
  &.cancelled-badge,
  &.other-badge {
    color: var(--bs-light);
    border: 1px solid var(--bs-light);
    background-color: rgba(
      var(--bs-light-rgb),
      var(--bs-bg-opacity)
    ) !important;
  }
}
